> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get remapper peaks by remapper id

> Get remapper peaks by remapper id



## OpenAPI

````yaml /data-structure-indexer-api/openapi-data-structure-indexer-api.json get /remappers/peaks
openapi: 3.0.3
info:
  title: Data Structure Indexer API
  description: API for fetching data from the Data Structure Indexer
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://rs-indexer.api.herodotus.cloud
    description: Production server
  - url: https://staging.rs-indexer.api.herodotus.cloud
    description: Staging server
security: []
tags:
  - name: accumulators
    description: Accumulators endpoints.
  - name: remappers
    description: Remappers endpoints.
paths:
  /remappers/peaks:
    get:
      tags:
        - remappers
      summary: Get remapper peaks by remapper id
      description: Get remapper peaks by remapper id
      operationId: get_peaks
      parameters:
        - name: deployed_on_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
        - name: accumulates_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
        - name: hashing_function
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/HashingFunction'
            nullable: true
        - name: onchain_remapper_id
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get remapper peaks by remapper id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemapperPeaksResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
components:
  schemas:
    ChainId:
      type: string
      enum:
        - '1'
        - '11155111'
        - '137'
        - '280'
        - MADARA_PRAGMA
        - STARKNET
        - SN_SEPOLIA
        - '300'
        - '11155420'
        - '421614'
        - '4801'
        - '84532'
        - UNKNOWN
    HashingFunction:
      type: string
      enum:
        - keccak
        - poseidon
        - pedersen
    RemapperPeaksResponse:
      type: object
      required:
        - peaks
        - elements_count
        - contract_address
      properties:
        contract_address:
          type: string
        elements_count:
          type: integer
          format: int32
        peaks:
          type: array
          items:
            type: string
    ApiErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````